# Class: YARD::Parser::Ruby::LoopNode

Inherits:
  KeywordNode
  - Object
  - Array
  - AstNode
  - KeywordNode
  - YARD::Parser::Ruby::LoopNode
  show all

Defined in:
  lib/yard/parser/ruby/ast_node.rb

## Managing node state collapse

- #block ⇒ Object
- #condition ⇒ Object
- #loop? ⇒ Boolean

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::AstNode

## Instance Method Details

### #block ⇒ `Object`

    545

    # File 'lib/yard/parser/ruby/ast_node.rb', line 545

    def block; last end

### #condition ⇒ `Object`

    544

    # File 'lib/yard/parser/ruby/ast_node.rb', line 544

    def condition; type == :for ? s(self[0], self[1]) : first end

### #loop? ⇒ `Boolean`

Returns:

- (`Boolean`)

    543

    # File 'lib/yard/parser/ruby/ast_node.rb', line 543

    def loop?; true end